
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#define ACMETOOL_BIN "@l_prefix@/libexec/acmetool/acmetool"

int main(int argn, char **argv)
{
    if (setuid(geteuid()) == -1) {
        perror("setuid");
        exit(1);
    }
    if (setgid(getegid()) == -1) {
        perror("setgid");
        exit(1);
    }
    argv[0] = ACMETOOL_BIN;
    if (execv(argv[0], argv) == -1)
        abort();
    return 0;
}

